package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.UrbanRuralGdp;
import com.lightinit.hsdatashow.entity.UrbanRuralGdpExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UrbanRuralGdpMapper {
    long countByExample(UrbanRuralGdpExample example);

    int deleteByExample(UrbanRuralGdpExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UrbanRuralGdp record);

    int insertSelective(UrbanRuralGdp record);

    List<UrbanRuralGdp> selectByExample(UrbanRuralGdpExample example);

    UrbanRuralGdp selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UrbanRuralGdp record, @Param("example") UrbanRuralGdpExample example);

    int updateByExample(@Param("record") UrbanRuralGdp record, @Param("example") UrbanRuralGdpExample example);

    int updateByPrimaryKeySelective(UrbanRuralGdp record);

    int updateByPrimaryKey(UrbanRuralGdp record);
}